Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227752 - kinput2: $RPM_OPT_FLAGS not used
Summary: kinput2: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kinput2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 22:11 UTC by Ville Skyttä
Modified: 2018-04-11 13:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 06:01:22 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS (deleted)
2007-02-07 22:11 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-07 22:11:00 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

kinput2 is built without $RPM_OPT_FLAGS (no compiler security features, more or
less useless debuginfo).  Fix attached.

Comment 1 Ville Skyttä 2007-02-07 22:11:00 UTC
Created attachment 147606 [details]
Use $RPM_OPT_FLAGS

Comment 2 Akira TAGOH 2007-02-08 04:04:02 UTC
Why don't you just patch out imake to generate proper Makefile that contains
$RPM_OPT_FLAGS?

Comment 3 Ville Skyttä 2007-02-08 07:48:08 UTC
Other tools such as autofoo aren't patched to do that either.  Granted, they
respect CFLAGS and friends from environment, so it's not quite the same thing.

imake maintainers, what do you think about the change proposed in comment 2?

Comment 4 Matěj Cepl 2007-02-08 08:48:13 UTC
Kristian, could please answer this question. Isn't imake legacy stuff anyway?

Comment 5 Kristian Høgsberg 2007-02-08 17:21:50 UTC
I agree with comment #3, we're not patching imake (which very much is dying) to
add RPM specific flags.  What we can do is to fix the Imakefiles or the
generated makefiles as the patch does, and longer term work with the upstream
projects to allow custom compiler flags, or even better move away from imake.


Comment 6 Akira TAGOH 2007-02-09 13:10:14 UTC
I meant to have a custom compiler flags rather than just having a special hack
since we could usually easily modify it in autotools by giving it before running
configure.
I don't like to move away from imake since this software is really a dead
project in upstream.
Ok, thank you for your info. will apply comment #1 then.

Comment 7 Akira TAGOH 2007-02-13 06:01:22 UTC
Fixed in v3.1-31.fc7.


Note You need to log in before you can comment on or make changes to this bug.